# Interface VulkanWriteDescriptorSetType

All Known Implementing Classes:
  `VulkanWriteDescriptorSet`

@Immutable public interface VulkanWriteDescriptorSetType

See Also:
  - "VkWriteDescriptorSet"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<VulkanDescriptorBufferInfo>`
  `bufferInfos()`
  `int`
  `descriptorCount()`
  `VulkanDescriptorType`
  `descriptorType()`
  `default int`
  `destinationArrayElement()`
  `int`
  `destinationBinding()`
  `VulkanDescriptorSetType`
  `destinationSet()`
  `List<VulkanDescriptorImageInfo>`
  `imageInfos()`
  `List<VulkanBufferViewType>`
  `texelBufferViews()`

- ## Method Details

  - ### destinationSet

    VulkanDescriptorSetType destinationSet()
    Returns:
      The destination descriptor set to update.

  - ### destinationBinding

    int destinationBinding()
    Returns:
      The descriptor binding within that set.

  - ### destinationArrayElement

    @Default default int destinationArrayElement()
    Returns:
      The starting element in that array. If the descriptor binding identified by destinationSet and destinationBinding has a descriptor type of VK_DESCRIPTOR_TYPE_INLINE_UNIFORM_BLOCK_EXT then destinationArrayElement specifies the starting byte offset within the binding.

  - ### descriptorCount

    int descriptorCount()
    Returns:
      The number of descriptors to update (the number of elements in imageInfos, bufferInfos, or texelBufferViews , or a value matching the dataSize member of an instance of VkWriteDescriptorSetInlineUniformBlockEXT in the pNext chain , or a value matching the accelerationStructureCount of an instance of VkWriteDescriptorSetAccelerationStructureNV in the pNext chain ). If the descriptor binding identified by destinationSet and destinationBinding has a descriptor type of VK_DESCRIPTOR_TYPE_INLINE_UNIFORM_BLOCK_EXT then descriptorCount specifies the number of bytes to update.

  - ### descriptorType

    VulkanDescriptorType descriptorType()
    Returns:
      A VkDescriptorType specifying the type of each descriptor in imageInfos, bufferInfos, or texelBufferViews, as described below. It must be the same type as that specified in VkDescriptorSetLayoutBinding for destinationSet at destinationBinding. The type of the descriptor also controls which array the descriptors are taken from.

  - ### imageInfos

    List<VulkanDescriptorImageInfo> imageInfos()
    Returns:
      An array of VulkanDescriptorImageInfo structures

  - ### bufferInfos

    List<VulkanDescriptorBufferInfo> bufferInfos()
    Returns:
      An array of VulkanDescriptorBufferInfo structures

  - ### texelBufferViews

    List<VulkanBufferViewType> texelBufferViews()
    Returns:
      An array of VulkanBufferViewType handles